/* Style sheet for kolomna-trams.ru v.3 (service update) */
/* by Dmitry Balabanov */

.trams-v3-route-service-update {
    font-family: 'Source Sans 3', sans-serif;
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}

.service-update-info {
    text-align: right;
    padding-right: 10px;
    border-right: 1px solid #333;
    line-height: 1;

    padding-top: 7px;
    padding-bottom: 5px;

    width: 25%;
    min-width: 135px;
}

.service-update-title {
    font-size: 18px;
    margin-bottom: .25em;
}

.service-update-time {
    font-size: 14px;
}

.service-update-main {
    text-align: left;
    padding-left: 10px;
    padding-top: 7px;
    padding-bottom: 5px;

    width: 75%;
}

.service-update-info-text {
    margin-bottom: .45em;
}

@media only screen and (max-width: 500px) {
    .trams-v3-route-service-update {
        flex-direction: column;
    }

    .service-update-info {
        border-right: none;
        border-bottom: 1px solid #333;
        text-align: left;
        width: 100%;

        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-end;
    }

    .service-update-main {
        padding-left: 0;
    }

    .service-update-info-text {
        margin-bottom: 0;
    }
}

@media only screen and (max-width: 750px) {
    .service-update-info {
        width: auto;
    }
    .service-update-main {
        width: auto;
    }
}

.service-update-main .service-update-main-item {
    margin-bottom: 10px;
}

.service-update-main .service-update-main-item:last-child {
    margin-bottom: 0;
}

.service-update-trams {
    display: flex;
    flex-direction: row;
}

.service-update-trams div {
    font-family: 'Source Sans 3', sans-serif;
    background-color: #999;
    color: white;
    text-align: center;
    line-height: 1.5;
    width: 20px;
    height: 20px;
    margin-right: .25em;
}

@keyframes trams-v3-ani-serviceupdate-pending {
    from {
        background-color: #a9a9a9;
    }
    50% {
        background-color: #cfcfcf;
    }
    to {
        background-color: #a9a9a9;
    }
}

.service-update-trams div[data-sutype="grey"] {
    background-color: #a9a9a9;
    color: white;
    font-size: 14px;
    font-weight: 500;
    width: 20px;
    height: 20px;
    animation: trams-v3-ani-serviceupdate-pending 1s ease-in-out infinite;
}

.service-update-trams div[data-sutype="noservice"],
.service-update-trams div[data-sutype="endservice"] {
    background-color: #aaa;
    color: white;
    font-size: 14px;
    font-weight: 500;
    width: 20px;
    height: 20px;
}

.service-update-trams div[data-sutype="noservice"] {
    background: linear-gradient(to left bottom, #aaa 45%, #c04747 45%, #c04747 55%, #aaa 55%);
}

.service-update-trams div[data-sutype="green"] {
    background-color: #88a880;
    color: white;
    font-size: 14px;
    font-weight: 500;
    width: 20px;
    height: 20px;
}

.service-update-trams div[data-sutype="yellow"] {
    background-color: #a89b80;
    color: white;
    font-size: 18px;
    font-weight: 600;
    width: 25px;
    height: 25px;
}

.service-update-trams div[data-sutype="red"] {
    background-color: #a88080;
    color: white;
    font-size: 18px;
    font-weight: 600;
    width: 25px;
    height: 25px;
}

.service-update-description {
    line-height: 1.25;
    padding-top: .3em;
}

.trams-v3-route-service-update-report {
    position: relative;
    margin-bottom: 15px;
    color: white;
    font-family: 'Source Sans 3', sans-serif;
    font-size: 14px;
}

.trams-v3-route-service-update-report-button {
    margin-bottom: 3px;
    background-color: #262323;
    color: white;
    font-family: 'Source Sans 3', sans-serif;
    border-radius: 6px;
    font-size: 14px;
    outline: none;
    border: none;
    padding: 4px 10px;
    cursor: pointer;
}

@media (hover: hover) {
    .trams-v3-route-service-update-report-button:hover {
        background-color: #3f3c3c;
    }
}
@media (hover: none) {
    .trams-v3-route-service-update-report-button:active {
        background-color: #3f3c3c;
    }
}


.trams-v3-route-service-update-report[data-opened="true"] .service-update-report-menu,
.trams-v3-route-service-update-report[data-opened="true"] .service-update-report-menu-wrapper {
    display: block;
    opacity: 1;
}

@media (hover: hover) {
	.trams-v3-route-service-update-report:hover .service-update-report-menu,
    .trams-v3-route-service-update-report:hover .service-update-report-menu-wrapper {
        display: block;
        opacity: 1;
    }
}

.service-update-report-menu {
    background-color: #262323;
    height: 180px;
    overflow-y: scroll;
    scrollbar-width: none;
    border-radius: 6px;
}

.service-update-report-menu-wrapper {
    position: absolute;
    z-index: 10;
    border-radius: 6px;
    left: 0;
    display: none;
    opacity: 0;
    width: 100%;
    scrollbar-width: none;

    transition: all .5s ease-out;
}

.service-update-report-menu-close {
    background-color: #262323;
    padding: 8px 0;
    margin-top: 3px;
    border-radius: 6px;
    text-align: center;
    color: #ffc2c2;
    cursor: pointer;
    user-select: none;
    display: none;
}

@media (hover: hover) {
    .service-update-report-menu-close:hover {
        background-color: #3f3c3c;
        color: #fda8a8;
    }
}
@media (hover: none) {
    .service-update-report-menu-close:active {
        background-color: #3f3c3c;
        color: #fda8a8;
    }
}


.trams-v3-route-service-update-report[data-opened="true"] .service-update-report-menu-close {
    display: block;
}

.service-update-report-menu menu {
    padding-inline-start: 0;
    list-style: none;
    margin-block-start: 0;
    margin-block-end: 0;
}

.service-update-report-menu menu li {
    padding: 7px 8px;
    text-align: left;
    line-height: 1.15;
    cursor: pointer;
    user-select: none;
}

.service-update-report-menu-back {
    border-bottom: 1px solid #999;
}

.service-update-report-menu menu .service-update-report-menu-button:hover,
.service-update-report-menu menu .service-update-report-menu-back:hover {
    background-color: #3f3c3c;
}

.service-update-report-menu-head {
    border-bottom: 1px solid #999;
    cursor: default!important;
}

.service-update-report-menu-street {
    padding: 0 8px;
    font-size: 11px;
    color: #777;
    letter-spacing: .15em;
    text-transform: uppercase;
    cursor: default!important;
    border-top: 1px solid #999;
}

.trams-v3-report-thankyou {
    font-family: 'Source Sans 3', sans-serif;
    font-size: 18px;
    margin-bottom: 1.5em;
}

.service-update-info-tg a img {
    width: 20px;
}